# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.lucene.spatial3d.geom.GeoArea
Modifier and Type
Constant Field
Value
`public static final int`
`CONTAINS`
`0`
`public static final int`
`DISJOINT`
`3`
`public static final int`
`OVERLAPS`
`2`
`public static final int`
`WITHIN`
`1`
org.apache.lucene.spatial3d.geom.GeoBaseDistanceShape
Modifier and Type
Constant Field
Value
`protected static final int`
`ALL_INSIDE`
`0`
`protected static final int`
`NONE_INSIDE`
`2`
`protected static final int`
`SOME_INSIDE`
`1`
org.apache.lucene.spatial3d.geom.GeoCompositeAreaShape
Modifier and Type
Constant Field
Value
`protected static final int`
`ALL_INSIDE`
`0`
`protected static final int`
`NONE_INSIDE`
`2`
`protected static final int`
`SOME_INSIDE`
`1`
org.apache.lucene.spatial3d.geom.GeoCompositePolygon
Modifier and Type
Constant Field
Value
`protected static final int`
`ALL_INSIDE`
`0`
`protected static final int`
`NONE_INSIDE`
`2`
`protected static final int`
`SOME_INSIDE`
`1`
org.apache.lucene.spatial3d.geom.GeoDegenerateVerticalLine
Modifier and Type
Constant Field
Value
`protected static final int`
`ALL_INSIDE`
`0`
`protected static final int`
`NONE_INSIDE`
`2`
`protected static final int`
`SOME_INSIDE`
`1`
org.apache.lucene.spatial3d.geom.Vector
Modifier and Type
Constant Field
Value
`public static final double`
`MINIMUM_ANGULAR_RESOLUTION`
`3.141592653589793E-12`
`public static final double`
`MINIMUM_RESOLUTION`
`1.0E-12`
`public static final double`
`MINIMUM_RESOLUTION_CUBED`
`1.0E-36`
`public static final double`
`MINIMUM_RESOLUTION_SQUARED`
`1.0E-24`